List of all members
clan::DomNamedNodeMap Class Reference
clanCore XML

DOM Named Node Map class. More...

`#include <dom_named_node_map.h>`

## Public Member Functions
Construction
| DomNamedNodeMap ()
| Constructs a DOM NamedNodeMap handle. More...
| DomNamedNodeMap (const DomNamedNodeMap &copy)
| Constructs a DomNamedNodeMap. More...
| ~DomNamedNodeMap ()
Attributes
unsigned long | get_length () const
| The number of nodes in the map. More...
Operations
DomNode | get_named_item (const DomString &name) const
| Retrieves a node specified by name. More...
DomNode | get_named_item_ns (const DomString &namespace_uri, const DomString &local_name) const
| Retrieves a node specified by namespace URI and local name. More...
DomNode | set_named_item (const DomNode &node)
| Adds a node using its node name attribute. More...
DomNode | set_named_item_ns (const DomNode &node)
| Adds a node using its namespace URI and local name. More...
DomNode | remove_named_item (const DomString &name)
| Removes a node specified by name. More...
DomNode | remove_named_item_ns (const DomString &namespace_uri, const DomString &local_name)
| Removes a node specified by namespace URI and local name. More...
DomNode | item (unsigned long index) const
| Returns the indexth item in the map. More...

## Implementation
std::shared_ptr< DomNamedNodeMap_Impl > | impl
class | DomNode
| DomNamedNodeMap (const std::shared_ptr< DomNamedNodeMap_Impl > &impl)
| Constructs a DomNamedNodeMap. More...

## Detailed Description

DOM Named Node Map class.

Objects implementing the NamedNodeMap interface are used to represent collections of nodes that can be accessed by name. Note that NamedNodeMap does not inherit from NodeList; NamedNodeMaps are not maintained in any particular order. Objects contained in an object implementing NamedNodeMap may also be accessed by an ordinal index, but this is simply to allow convenient enumeration of the contents of a NamedNodeMap, and does not imply that the DOM specifies an order to these Nodes.

The documentation for this class was generated from the following file:

- dom_named_node_map.h